> ## Documentation Index
> Fetch the complete documentation index at: https://developer.nomba.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Assigning terminals

> Learn how to assign terminals to accounts

<CardGroup cols={2}>
  <Card title="Assign terminals to the parent account" icon="link-simple" href="/nomba-api-reference/terminals/assign-a-terminal-to-the-parent-account" />
</CardGroup>

# `POST /v1/terminals/assign`

<CodeGroup>
  ```bash Request theme={null}
    curl --request POST \
      --url https://api.nomba.com/v1/terminals/assign \
      --header 'Authorization: Bearer <token>' \
      --header 'Content-Type: application/json' \
      --header 'accountId: <accountId>' \
      --data '{
      "serialNumber": "55555555",
      "terminalLabel": "Testing"
    }'
  ```

  ```json Success response theme={null}
  {
    "code": "00",
    "description": "Success",
    "data": {
      "terminalId": "201124LM",
      "serialNumber": "55555555",
      "accountId": "01a10aeb-d989-460a-bbde-9842f2b4320f",
      "parentAccountId": "<string>",
      "merchantName": "trident and rees",
      "terminalLabel": "Testing",
      "createdAt": "2020-09-23T10:21:48.789Z",
      "updatedAt": "2023-09-04T15:23:55.173Z"
    }
  }
  ```
</CodeGroup>

#### Request body

<ParamField body="serialNumber" type="string" required>
  Terminal serial number.
</ParamField>

<ParamField body="terminalLabel" type="string">
  Terminal label.
</ParamField>

#### Response body

<ResponseField name="code" type="string" required>
  Response code
</ResponseField>

<ResponseField name="description" type="string" required>
  Response description
</ResponseField>

<ResponseField name="data" type="object">
  <Expandable title="object" defaultOpen="true">
    <ResponseField name="terminalId" type="string" required>
      Terminal ID.
    </ResponseField>

    <ResponseField name="serialNumber" type="string" required>
      Serial number.
    </ResponseField>

    <ResponseField name="accountId" type="string" required>
      Account ID.
    </ResponseField>

    <ResponseField name="parentAccountId" type="string" required>
      Parent account ID.
    </ResponseField>

    <ResponseField name="merchantName" type="string" required>
      Merchant name.
    </ResponseField>

    <ResponseField name="terminalLabel" type="string" required>
      Terminal label.
    </ResponseField>

    <ResponseField name="createdAt" type="string" required>
      Creation timestamp.
    </ResponseField>

    <ResponseField name="updatedAt" type="string" required>
      Update timestamp.
    </ResponseField>
  </Expandable>
</ResponseField>
